<?php
/**
 * @author    Climaxweb <climaxwebmaxell@gmail.com>
 * @link      https://www.climaxweb.net/maxbot/
 * @copyright 2019 Climaxweb
 */


if(!defined('ABSPATH')) exit();

require_once( SMWPCB_PLUGIN_DIR . '/includes/data-column-description.php' );

/**
 * Register admin menu for the plugin Maxbot
 * @since: 1.0.0
 **/
if (!function_exists('smwpcb_admin_menus')){

    function smwpcb_admin_menus() {
        
        $smwpcb_wp_code_licence_empower = smwpcb_wp_code_licence_empower();
        $top_menu_item = 'smwpcb_wp_chatbot_general_settings';
        add_menu_page( '', 'Maxbot Chatbot Creator', 'manage_options', $top_menu_item, $top_menu_item, SMWPCB_PLUGIN_URL_DIR . '/admin/images/robot.png');
        //add_submenu_page( $top_menu_item, '', 'Register Product', 'manage_options', $top_menu_item, $top_menu_item );
        if($smwpcb_wp_code_licence_empower[0] >= 5){
          add_submenu_page( $top_menu_item, '', 'General Settings', 'manage_options', 'smwpcb_wp_chatbot_general_settings', 'smwpcb_wp_chatbot_general_settings' );
          add_submenu_page( $top_menu_item, '', 'Agents', 'manage_options', 'smwpcb_wp_chatbot_agents', 'smwpcb_wp_chatbot_agents' );
          add_submenu_page( $top_menu_item, '', 'Columns Data', 'manage_options', 'smwpcb_wp_chatbot_data_tables', 'smwpcb_wp_chatbot_data_tables' );
          add_submenu_page( $top_menu_item, '', 'Topics & Flow Editor', 'manage_options', 'smwpcb_wp_chatbot_topics', 'smwpcb_wp_chatbot_topics_get_request' );
          add_submenu_page( $top_menu_item, '', 'Users Data & Analytics', 'manage_options', 'smwpcb_wp_users_data', 'smwpcb_wp_users_data' );
          add_submenu_page( $top_menu_item, '', 'Customize Widget Design', 'manage_options', 'smwpcb_wp_design_chatbot_ui', 'smwpcb_wp_design_chatbot_ui' );
          add_submenu_page( $top_menu_item, '', 'Projects', 'manage_options', 'smwpcb_wp_chatbot_projects', 'smwpcb_wp_chatbot_project_options' );
        }

    }

}

?>