<?php
/**
 * @author    Climaxweb <climaxwebmaxell@gmail.com>
 * @link      https://www.climaxweb.net/maxbot/
 * @copyright 2019 Climaxweb
 */


if(!defined('ABSPATH')) exit();

/**
 * Add the chat widget on the page where you include 
 * on a project.
 * @since: 1.0.0
 **/
if (!function_exists('smwpcb_add_widget_cb_project')){

  function smwpcb_add_widget_cb_project($content){

    global $post;
    $found = false;
    $smwpcb_wp_chatbot_projects_settings = get_option('smwpcb_wp_chatbot_projects_settings');
    if($smwpcb_wp_chatbot_projects_settings !== array()){
      foreach ($smwpcb_wp_chatbot_projects_settings as $key => $chatbot_project) {
        if(!array_key_exists('smwpcb_chatbot_project_shortcode', $chatbot_project) || $chatbot_project['smwpcb_chatbot_project_shortcode'] != 'Yes'){
          if($post->ID == $chatbot_project['smwpcb_chatbot_project_widget_page']){
            $found = true;
            return $content.smwpcb_return_widget_cb_page($chatbot_project['smwpcb_chatbot_project_topic'],$chatbot_project['smwpcb_chatbot_project_agent']);
          }
        }
      }
    }
    if(!$found){
      return $content;
    }
      
  }

}

/**
 * Return the widget html elements along with css.
 * on a project
 * @since: 1.0.0
 **/
if (!function_exists('smwpcb_return_widget_cb_page')){

  function smwpcb_return_widget_cb_page($topic_id,$agent_id){

  $smwpcb_wp_chatbot_agents_settings = get_option('smwpcb_wp_chatbot_agents_settings');
  $smwpcb_return_style_reseter_array = smwpcb_return_style_reseter_array();

    return '
    <div class="smwpcb_widget_content">
    <link rel="stylesheet" href="'. SMWPCB_PLUGIN_URL_DIR . 'public/css/widget-style.css?v='.get_option('smwpcb_custom_design_version').'">
    <div class="smwpcb_widget_chat">
      <input type="hidden" value="'.$topic_id.'" id="smwpcb_topic_id_input">
      <input type="hidden" value="'.stripslashes($smwpcb_wp_chatbot_agents_settings[$agent_id]['chatbots_avatar_attachment_image_url']).'" id="smwpcb_agent_photo">
      <div class="smwpcb_widget_chatbot" uniqueID="'.uniqid().'">
        <div class="smwpcb_chat_layout">
          <div class="smwpcb_header_chat">
            <div class="smwpcb_chat_info">
            <div class="smwpcb_header_img">
              <i class="zmdi zmdi-chevron-left smwpcb_back"></i>
              <img src="'.stripslashes($smwpcb_wp_chatbot_agents_settings[$agent_id]['chatbots_avatar_attachment_image_url']).'"/>
              </div>
              <div class="smwpcb_present_agent">
                <span id="smwpcb_agent_name">'.stripslashes($smwpcb_wp_chatbot_agents_settings[$agent_id]['chatbots_name']).'</span> <br> <span class="smwpcb_agent_occupation">'.stripslashes($smwpcb_wp_chatbot_agents_settings[$agent_id]['chatbots_occupation']).'</span>
               <span class="smwpcb_online_icon">
                <i class="zmdi zmdi-circle"></i>
              </span>
              </div>
            </div>
          </div>
          <div id="smwpcb_chat_layout_screen" class="smwpcb_chat_conversation_msgs smwpcb_chat_conversation_flow" >
            <div class="smwpcb_chat_description">
              <img src="'.stripslashes($smwpcb_wp_chatbot_agents_settings[$agent_id]['chatbots_avatar_attachment_image_url']).'">
              <p>'.stripslashes($smwpcb_wp_chatbot_agents_settings[$agent_id]['chatbots_name']).'</p>
              <p id="smwpcb_ag_rating"> 
                <i class="zmdi zmdi-star smwpcb_rating_star1"></i>
                <i class="zmdi zmdi-star smwpcb_rating_star2"></i>
                <i class="zmdi zmdi-star smwpcb_rating_star3"></i>
                <i class="zmdi zmdi-star smwpcb_rating_star4"></i>
                <i class="zmdi zmdi-star smwpcb_rating_star5"></i>
              </p>
              <p class="smwpcb_ag_occup">'.stripslashes($smwpcb_wp_chatbot_agents_settings[$agent_id]['chatbots_occupation']).'</p>
              <p class="smwpcb_ag_occup smwpcb_fs_change"><i class="zmdi zmdi-quote smwpcb_fist_quote"></i>'. stripslashes($smwpcb_wp_chatbot_agents_settings[$agent_id]['chatbots_description']).'<i class="zmdi zmdi-quote smwpcb_last_quote"></i> </p>
              <p class="smwpcb_ag_occup smwpcb_fs_change">
                Powered by <a target="_blank" class="smwpcb_rgbblue" href="https://codecanyon.net/item/maxbot-chatbot-builder-wordpress-plugin/25237469">Maxbot</a>
              </p>
            </div>
        </div>
        <div class="smwpcb_chat_input_field smwpcb_chat_input_field_alt">
        <a style="'.$smwpcb_return_style_reseter_array[3].'" id="smwpcb_input_send" class="smwpcb_widget_chat_convers"><i class="zmdi zmdi-mail-send"></i></a>
        <textarea style="'.$smwpcb_return_style_reseter_array[2].'" id="smwpcb_send_message_chat" placeholder="Send a message" class="smwpcb_chat_input"></textarea>
      </div>
      </div>
        <a style="'.$smwpcb_return_style_reseter_array[4].'" id="smwpcb_widget_trigger" class="smwpcb_widget_chat_convers"><i class="smwpcb_widget_trigger zmdi zmdi-comment-outline"></i></a>
      </div>
    </div>
    </div>';

  }

}


/**
 * Return the widget html elements along with css.
 * on a project
 * @since: 1.0.0
 **/
if (!function_exists('smwpcb_return_shortcode_cb_page')){

  function smwpcb_return_shortcode_cb_page($atts){

    $a = shortcode_atts(
        array(
            'project' => "",
        ), $atts, 'maxbot-chatbot-builder' );

    global $post;
    $found = false;
    $smwpcb_wp_chatbot_projects_settings = get_option('smwpcb_wp_chatbot_projects_settings');
    if($smwpcb_wp_chatbot_projects_settings !== array()){
      foreach ($smwpcb_wp_chatbot_projects_settings as $key => $chatbot_project) {
        if(array_key_exists('smwpcb_chatbot_project_shortcode', $chatbot_project) && $chatbot_project['smwpcb_chatbot_project_shortcode'] == 'Yes'){
          if($a['project'] == $chatbot_project['smwpcb_chatbot_project_shortcode_code']){
            if($post->ID == $chatbot_project['smwpcb_chatbot_project_widget_page']){
              $found = true;
              return smwpcb_return_widget_cb_page($chatbot_project['smwpcb_chatbot_project_topic'],$chatbot_project['smwpcb_chatbot_project_agent']);
            }
          }
        }
      }
    }
    if(!$found){
      return '<b>Shortcode Error: </b><br><blockquote>The Maxbot shortcode is either for a project that\'s assigned a different page from the current one, or it\'s not valid, please check again.</blockquote>';
    }





  }

}




?>