"use strict";

jQuery(function ($) {

  $(document).ready(function () {

    var getProductHeight = $('.smwpcb_card_product.smwpcb_card_item_active').height();
    $('body').on('click','.nextCustomSrch', function(e) {
      e.preventDefault();
      var productItem = $(this).closest('.smwpcb_card_component').find('.smwpcb_card_product'),
      productCurrentItem = productItem.filter('.smwpcb_card_item_active');
      var nextItem = productCurrentItem.next();
      productCurrentItem.removeClass('smwpcb_card_item_active');
      if (nextItem.length) {
        productCurrentItem = nextItem.addClass('smwpcb_card_item_active');
      } else {
        productCurrentItem = productItem.first().addClass('smwpcb_card_item_active');
      }
    });

    $('body').on('click','.prevCustomSrch', function(e) {
      e.preventDefault();
      var productItem = $(this).closest('.smwpcb_card_component').find('.smwpcb_card_product'),
      productCurrentItem = productItem.filter('.smwpcb_card_item_active');
      var prevItem = productCurrentItem.prev();
      productCurrentItem.removeClass('smwpcb_card_item_active');
      if (prevItem.length) {
        productCurrentItem = prevItem.addClass('smwpcb_card_item_active');
      } else {
        productCurrentItem = productItem.last().addClass('smwpcb_card_item_active');
      }
    });

    $('body').on('click','.smwpcb_card_next', function(e) {
      e.preventDefault();
      var productItem = $(this).closest('.smwpcb_card_component').find('.smwpcb_card_product'),
      productCurrentItem = productItem.filter('.smwpcb_card_item_active');
      var nextItem = productCurrentItem.next();
      var prevItem = productCurrentItem.removeClass('smwpcb_card_item_active');
      if(nextItem.length){
        var activenext = $(this).closest('.smwpcb_card_component').find('.caplinkmesgnext.smwpcb_card_item_active').val().split('|6^9~');
        $(this).closest('.smwpcb_card_footer').find('.smwpcb_card_fancy_button span').text(activenext[0]);
        $(this).closest('.smwpcb_card_footer').find('.smwpcb_card_fancy_button').attr('href',activenext[1]);
        nextItem.find('.caplinkmesgfist').addClass('smwpcb_card_item_active');
        nextItem.find('.caplinkmesglast').addClass('smwpcb_card_item_active');
        nextItem.find('.caplinkmesgnext').addClass('smwpcb_card_item_active');
        nextItem.find('.caplinkmesgprev').addClass('smwpcb_card_item_active');
        productCurrentItem = nextItem.addClass('smwpcb_card_item_active');
      }else{
        var activefirst = $(this).closest('.smwpcb_card_component').find('.caplinkmesgfist.smwpcb_card_item_active').val().split('|6^9~');
        $(this).closest('.smwpcb_card_footer').find('.smwpcb_card_fancy_button span').text(activefirst[0]);
        $(this).closest('.smwpcb_card_footer').find('.smwpcb_card_fancy_button').attr('href',activefirst[1]);
        productItem.first().find('.caplinkmesgfist').addClass('smwpcb_card_item_active');
        productItem.first().find('.caplinkmesglast').addClass('smwpcb_card_item_active');
        productItem.first().find('.caplinkmesgnext').addClass('smwpcb_card_item_active');
        productItem.first().find('.caplinkmesgprev').addClass('smwpcb_card_item_active');
        productCurrentItem = productItem.first().addClass('smwpcb_card_item_active');
      }
      prevItem.find('.caplinkmesgfist').removeClass('smwpcb_card_item_active');
      prevItem.find('.caplinkmesglast').removeClass('smwpcb_card_item_active');
      prevItem.find('.caplinkmesgnext').removeClass('smwpcb_card_item_active');
      prevItem.find('.caplinkmesgprev').removeClass('smwpcb_card_item_active');
    });

    $('body').on('click','.smwpcb_card_prev', function(e) {
      e.preventDefault();
      var productItem = $(this).closest('.smwpcb_card_component').find('.smwpcb_card_product'),
      productCurrentItem = productItem.filter('.smwpcb_card_item_active');
      var prevItem = productCurrentItem.prev();
      var prevItem = productCurrentItem.removeClass('smwpcb_card_item_active');
      if(prevItem.length){
        var activeprev = $(this).closest('.smwpcb_card_component').find('.caplinkmesgprev.smwpcb_card_item_active').val().split('|6^9~');
        $(this).closest('.smwpcb_card_footer').find('.smwpcb_card_fancy_button span').text(activeprev[0]);
        $(this).closest('.smwpcb_card_footer').find('.smwpcb_card_fancy_button').attr('href',activeprev[1]);
        prevItem.find('.caplinkmesgfist').addClass('smwpcb_card_item_active');
        prevItem.find('.caplinkmesglast').addClass('smwpcb_card_item_active');
        prevItem.find('.caplinkmesgnext').addClass('smwpcb_card_item_active');
        prevItem.find('.caplinkmesgprev').addClass('smwpcb_card_item_active');
        productCurrentItem = prevItem.addClass('smwpcb_card_item_active');
      }else{
        var activelast = $(this).closest('.smwpcb_card_component').find('.caplinkmesglast.smwpcb_card_item_active').val().split('|6^9~');
        $(this).closest('.smwpcb_card_footer').find('.smwpcb_card_fancy_button span').text(activelast[0]);
        $(this).closest('.smwpcb_card_footer').find('.smwpcb_card_fancy_button').attr('href',activelast[1]);
        productItem.last().find('.caplinkmesgfist').addClass('smwpcb_card_item_active');
        productItem.last().find('.caplinkmesglast').addClass('smwpcb_card_item_active');
        productItem.last().find('.caplinkmesgnext').addClass('smwpcb_card_item_active');
        productItem.last().find('.caplinkmesgprev').addClass('smwpcb_card_item_active');
        productCurrentItem = productItem.last().addClass('smwpcb_card_item_active');
      }
      prevItem.find('.caplinkmesgfist').removeClass('smwpcb_card_item_active');
      prevItem.find('.caplinkmesglast').removeClass('smwpcb_card_item_active');
      prevItem.find('.caplinkmesgnext').removeClass('smwpcb_card_item_active');
      prevItem.find('.caplinkmesgprev').removeClass('smwpcb_card_item_active');
    });

    $('body').on('click','[smwpcb_card_ripple]', function(e) {
      var rippleDiv = $('<div class="smwpcb_card_ripple" />'),
        rippleSize = 60,
        rippleOffset = $(this).offset(),
        rippleY = e.pageY - rippleOffset.top,
        rippleX = e.pageX - rippleOffset.left,
        ripple = $('.smwpcb_card_ripple');

      rippleDiv.css({
        top: rippleY - (rippleSize / 2),
        left: rippleX - (rippleSize / 2),
        background: $(this).attr("ripple-color")
      }).appendTo($(this));

      window.setTimeout(function() {
        rippleDiv.remove();
      }, 1900);
    });
  });
});